#
# Version 1.0.0
stages:
  - buildAndPublish

Build and publish archive:
  stage: buildAndPublish
  image: alpine:3.9
  before_script:
    - apk update && apk add zip lftp curl
  script:
    - echo "{\"CI_COMMIT_TAG\":\"${CI_COMMIT_TAG}\", \"CI_PROJECT_NAME\":\"${CI_PROJECT_NAME}\", \"CI_COMMIT_TITLE\":\"${CI_COMMIT_TITLE}\", \"CI_COMMIT_REF_NAME\":\"${CI_COMMIT_REF_NAME}\"}" >> "../amp_${CI_COMMIT_TAG}.json"
    - zip -r "../amp_${CI_COMMIT_TAG}.zip" . -x "*.git*" ".gitlab-ci.yml"
    - cp ./composer.json "../amp_composer_${CI_COMMIT_TAG}.json"
    - lftp -c "set ftp:ssl-allow no; open -u $FTP_USERNAME,$FTP_PASSWORD $FTP_HOST/amp/packages/; put -a ../amp_${CI_COMMIT_TAG}.zip ../amp_${CI_COMMIT_TAG}.json ../amp_composer_${CI_COMMIT_TAG}.json"
  only:
    - tags
